Flashplugin is non-operational in x32

i686

#1

Looks like flashplugin installs the wrong architecture possibly. The plugin doesn’t show in Firefox browser after restarting. Also the Adobe flash plugin settings manager fails to launch.


[Unstable Update x32] 2017-12-21 - Kernels
#2

Confirmed with flashplugin=28.0.0.126-1.0:

jonathon@eeepc901 ~> file /usr/bin/flash-player-properties
/usr/bin/flash-player-properties: ELF 64-bit LSB executable, x86-64, version 1 (GNU/Linux), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.24, BuildID[sha1]=2c3cacd6cffb8d274eccded8eba1c6eeef80d582, stripped
jonathon@eeepc901 ~> file /usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/mozilla/plugins/libflashplayer.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=66401b00333e9daf61d6300fe4874ca20b8fcfeb, stripped

Rebuilt package incoming to x32-unstable. PR made to arch32 packages:

Please test:

sudo pacman -U https://mirror.netzspielplatz.de/manjaro/packages/x32-unstable/extra/i686/flashplugin-28.0.0.126-1.1-i686.pkg.tar.xz

#3

That works now. Can you take a look at pepper-flash I susspect the same there. :slight_smile:


#4

That package was pushed the same time, just:

sudo pacman -U https://mirror.netzspielplatz.de/manjaro/packages/x32-unstable/extra/i686/pepper-flash-28.0.0.126-1.1-i686.pkg.tar.xz

:slight_smile:


#5

Thanks


#6

Needs updating again…stuck at 28…137


#7

In future, please report any out-of-date packages here:

This thread is already “Solved”. :wink:

I’ll look at updating the plugin if there’s a new version available; it hasn’t been updated upstream yet.

Edit: new version in x32-unstable, it will be in x32-testing shortly. I’m building Firefox 58.0.2 now so I can snap everything over to x32-stable later today.